
Installer - Bug #16319

Install foreman-proxy gives errror on foreman-proxy user with no puppet installed.

08/26/2016 05:27 AM - Stefan Heijmans

Status: Duplicate   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: Foreman modules   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Installed foreman 1.12.2 with foreman and foreman-cli (no puppet from foreman-installer).

Now adding the foreman-proxy to it, gives the following error on foreman-proxy-user

foreman-installer --enable-foreman-proxy --foreman-user-groups EMPTY_ARRAY --foreman-configure-epe

l-repo false --foreman-configure-scl-repo false --foreman-proxy-custom-repo true

 Could not set groups on user[foreman-proxy]: Execution of '/usr/sbin/usermod -G puppet foreman-pr

oxy' returned 6: usermod: group 'puppet' does not exist

 /Stage[main]/Foreman_proxy::Config/User[foreman-proxy]/groups: change from  to puppet failed: Cou

ld not set groups on user[foreman-proxy]: Execution of '/usr/sbin/usermod -G puppet foreman-proxy'

 returned 6: usermod: group 'puppet' does not exist

 Specifying one of these options does not help;

--foreman-proxy-puppet-group EMPTY_ARRAY

--foreman-proxy-puppet-group EMPTY_HASH

--foreman-proxy-puppet-group UNDEF

--foreman-proxy-puppet-group=UNDEF

Related issues:

Related to Installer - Bug #16241: Puppet group configured on 'foreman' user ... Closed

Related to Installer - Bug #26330: Foreman Proxy module is unconditionally as... Closed

History

#1 - 08/26/2016 05:35 AM - Dominic Cleal

- Related to Bug #16241: Puppet group configured on 'foreman' user without 'puppet' module selected added

#2 - 04/11/2019 04:11 PM - Ewoud Kohl van Wijngaarden

- Related to Bug #26330: Foreman Proxy module is unconditionally assigned to the puppet group added

#3 - 04/11/2019 04:12 PM - Ewoud Kohl van Wijngaarden

- Category set to Foreman modules

- Status changed from New to Duplicate

- Assignee set to Ewoud Kohl van Wijngaarden

This was fixed via #26330.
